Bug 1412255 - Narrow and hard to read calendar in cs_CZ.UTF-8 locale
Summary: Narrow and hard to read calendar in cs_CZ.UTF-8 locale
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-datetime-plugin
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:54 UTC by Jaroslav Škarvada
Modified: 2019-11-27 19:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:22:37 UTC
Type: Bug


Attachments (Terms of Use)
Calendar in cs_CZ.UTF-8 locale (9.14 KB, image/png)
2017-01-11 15:54 UTC, Jaroslav Škarvada
no flags Details
Calendar in en_US.UTF-8 locale (10.24 KB, image/png)
2017-01-23 08:52 UTC, Jaroslav Škarvada
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 13341 0 None None None 2019-07-19 02:48:12 UTC

Description Jaroslav Škarvada 2017-01-11 15:54:26 UTC
Created attachment 1239511 [details]
Calendar in cs_CZ.UTF-8 locale

Description of problem:
Calendar in cs_CZ.UTF-8 locale is much more narrow than calendar in en_US.UTF-8 locale. 

Version-Release number of selected component (if applicable):
xfce4-datetime-plugin-0.7.0-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Compare monthly calendar in en_US.UTF-8 and cs_CZ.UTF-8 locales

Actual results:
Calendar in cs_CZ.UTF-8 locale is very narrow and hard to read, calendar in en_US.UTF-8 is OK.

Expected results:
Calendars with same widht

Additional info:

Comment 1 Jaroslav Škarvada 2017-01-11 15:58:26 UTC
I will provide screenshot in en_US.UTF-8 locale later and I will also try with new user.

Comment 2 Mukundan Ragavan 2017-01-15 13:34:55 UTC
I wonder if this is theme related. I doubt it but might be good to check ...

Would like me to file this upstream or shall I?

Comment 3 Jaroslav Škarvada 2017-01-16 13:45:34 UTC
(In reply to Mukundan Ragavan from comment #2)
> I wonder if this is theme related. I doubt it but might be good to check ...
> 
> Would like me to file this upstream or shall I?

I am going to check and also I will check on cleanly provisioned machine. Sorry for delay, I haven't chance to logout :)

Comment 4 Jaroslav Škarvada 2017-01-23 08:52:17 UTC
Created attachment 1243524 [details]
Calendar in en_US.UTF-8 locale

Calendar in en_US.UTF-8 locale is much better to read with wider spacing.

Comment 5 Jaroslav Škarvada 2017-01-23 08:55:07 UTC
I tried with newly created user and it's the same.

IIRC previously there were blue borders in the calendar which I am missing now, so maybe it's theme related. How to check? I will also retry with cleanly provisioned machine and compare results.

Comment 6 Mukundan Ragavan 2017-01-24 03:23:18 UTC
Perhaps try a different theme - I suggest something "modern" like greybird or arc-theme.

Both can be installed from the repos.

This might give us some clues.

Comment 7 Jaroslav Škarvada 2017-02-02 10:59:11 UTC
It's reproducible on cleanly provisioned machine (I tried two new workstation installations). So it's probably in the default theme. Steps to reproduce:

- install Fedora Workstation
- dnf install @xfce-desktop-environment
- dnf install tigervnc-server
- set vnc server to run startxfce4 and locale to cs_CZ.UTF-8
- vncserver
- check through vncviewer

I checked through the vnc, because the machines are from the pool without video card, but I think behavior on physical display is the same.

Comment 8 Mukundan Ragavan 2017-02-08 02:45:30 UTC
Filed upstream.

https://bugzilla.xfce.org/show_bug.cgi?id=13341

Comment 9 Fedora End Of Life 2017-11-16 18:33:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Jaroslav Škarvada 2017-11-16 21:27:20 UTC
Moving to f26.

Comment 11 Fedora End Of Life 2018-05-03 07:59:23 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2018-05-29 11:45:59 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Jaroslav Škarvada 2018-05-30 08:29:41 UTC
Moving to f27.

Comment 14 Jan Kurik 2018-08-14 11:08:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 15 Ben Cotton 2019-10-31 20:44:48 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 19:22:37 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.